TAAS - Feature #56

Credit/Debit Card
09/22/2022 11:36 AM - Anil KV

Status: Reopen Bugs Testing Done Start date: 09/23/2022
Priority: Normal Due date: 09/27/2022
Assignee: Greeshma S % Done: 90%
Category: Estimated time: 30:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Credit/Debit Card

Description

Coding Credit/Debit Card

History

#1 - 09/27/2022 11:12 AM - Anil KV
Deletetion SP

sp_delete_account(binAccountld::BIGINT, intSysActionl::INT, binDeletedUserld::BIGINT, objSpOutRes);

#2 - 09/27/2022 07:24 PM - Anil KV
Ref: Customer #60

#3 - 10/07/2022 01:34 PM - Anil KV

accounts.tbl_account->sin_ac_category =
- 9 = Agency/Own Credit/Debit Card Accounts
- 10 = Customer Credit/Debit Card Accounts

#4 - 10/07/2022 04:28 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmiFile.html added

- File sql.sql added

#5 - 10/12/2022 10:17 AM - Aparna Mathew
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#6 - 10/19/2022 10:16 AM - Aparna Mathew
- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 40 to 30

invoice format not added

#7 - 12/01/2022 12:43 PM - Aparna Mathew
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#8 - 12/01/2022 05:31 PM - Amal Cyriac
http://103.145.37.7:82/redmine/issues/60

ISSUE FOUND *****

1.SET MAIN LEDGER MANDATORY

2.FIX ERROR ON BANK

( AFTER UPDATING BANK INPUT BOX BECOME EMPTY)

3.EXPIRY DATE NOT TOBE PREVIOUS DATES

4.SET VALIDATION ON LIMIT

5.FIX ERROR ON RECO FILE FORMAT

(GUI CRASHING WHEN CHOOSE ANY RECO FILE FORMAT AND UPDATE)

#9 - 12/01/2022 05:32 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.SET MAIN LEDGER MANDATORY

2.FIX ERROR ON BANK

( AFTER UPDATING BANK INPUT BOX BECOME EMPTY)

3.EXPIRY DATE NOT TOBE PREVIOUS DATES

4.SET VALIDATION ON LIMIT

5.FIX ERROR ON RECO FILE FORMAT

(GUI CRASHING WHEN CHOOSE ANY RECO FILE FORMAT AND UPDATE)

#10 - 12/05/2022 05:54 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#11 - 03/15/2023 05:18 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Credit/Debit Card number input box - set as number field
2.Set red star on Additional Info tab

#12 - 03/16/2023 05:22 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 05/09/2023 03:56 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.In Currency Multi Selection Box widget Tick "BASE1 (QAR)" Then Select "BASE1 (QAR)" as default currency

#14 - 05/10/2023 03:32 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#15 - 05/13/2023 05:44 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.fix duplication error while save act as client

#16 - 05/29/2023 05:36 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

05/04/2025

2/5



- % Done changed from 50 to 60

#17 - 06/12/2023 06:36 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set mandatory fields red and required

(Set red star on Status)

2.Set tool tips on GUI

3.Fix bugs on CVV - Translation

(Arabic & Hindi)

4.Red star show & hide based on Own Card radio button
( Additional Info)

5.Remove empty icon from date picker

(Expiry Date)

#18 - 06/22/2023 09:39 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 08/10/2023 06:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.UI CRASHING WHILE ADDING DEBIT CARD CVV NO
2.BRANCH MISSING WHILE ADDING CVV

#20 - 08/16/2023 12:30 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 08/25/2023 02:53 PM - unnikannan S
TESTED OK

#22 - 11/11/2023 12:56 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING SAVED MAIN LEDGER DATA AFTER SAVE AND REFRESH IN AGENCY CARD (ISSUE FIXED)
#23 - 11/15/2023 02:59 PM - unnikannan S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#24 - 02/10/2024 05:00 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.DONT ALLOW TO CLEAR ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A PARTY
(Discuss With Anil Sir for Changes )
#25 - 02/14/2024 10:02 AM - Junaid M
- Assignee changed from Aparna Mathew to Vivekp V

#26 - 02/14/2024 12:10 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A PARTY
(Discuss With Anil Sir for Changes )

#27 - 10/11/2024 02:45 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Deleted account still showing in the Ul after deletion
2. Imported accounts cannot be deleted if approved from account approve

#28 - 10/14/2024 04:35 PM - Arathy PS

- Assignee changed from Vivekp V to Greeshma S

#29 - 10/14/2024 06:16 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#30 - 11/15/2024 12:55 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#31 - 12/16/2024 03:27 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

1. Add an allow payment field with a checkbox (similar to corporate card)
2. Add a title to act as client and allow payment (both blue star)

act as client: will show in the party side of sale, receipt

allow payment: can be a party in refund and payment.

#32 - 12/16/2024 06:47 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#33 - 12/20/2024 11:25 AM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Allow payment should be untick and disable while selecting customer card.

#34 - 12/20/2024 11:45 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#35 - 12/27/2024 02:12 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

1-CsModel.cs 2.12 KB 10/07/2022 Anil KV
2-tsModel.ts 1.52 KB 10/07/2022 Anil KV
3-CsFile.cs 12.7 KB 10/07/2022 Anil KV
5-TsFile.ts 13.8 KB 10/07/2022 Anil KV
4-CsControllerFile.cs 24.6 KB 10/07/2022 Anil KV
sql.sql 13.3 KB 10/07/2022 Anil KV
6-HtmlFile.html 1.9 KB 10/07/2022 Anil KV
